NameRegister.UniqueNameAcrossInterface
Date: 2017-02-10

javax.jmdns.impl

## Class NameRegister.UniqueNameAcrossInterface

- java.lang.Object
- - javax.jmdns.impl.NameRegister.UniqueNameAcrossInterface

- All Implemented Interfaces:
    NameRegister
  Enclosing interface:
    NameRegister

      public static class NameRegister.UniqueNameAcrossInterface
      extends java.lang.Object
      implements NameRegister

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.jmdns.impl.NameRegister

      `NameRegister.Factory, NameRegister.NameType, NameRegister.UniqueNameAcrossInterface, NameRegister.UniqueNamePerInterface`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameRegister.UniqueNameAcrossInterface()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkName(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Checks a name that is defended by this group of mDNS.
    `java.lang.String` | `incrementHostName(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Increments a name that is defended by this group of mDNS after it has been found in conflict.
    `void` | `register(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Registers a name that is defended by this group of mDNS.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameRegister.UniqueNameAcrossInterface

          public NameRegister.UniqueNameAcrossInterface()

  - ### Method Detail

    - #### register

          public void register(java.net.InetAddress networkInterface,
                      java.lang.String name,
                      NameRegister.NameType type)

      Description copied from interface: `NameRegister`
      Registers a name that is defended by this group of mDNS.
      Specified by:
        `register` in interface `NameRegister`
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to register
        `type` - name type to register

    - #### checkName

          public boolean checkName(java.net.InetAddress networkInterface,
                          java.lang.String name,
                          NameRegister.NameType type)

      Description copied from interface: `NameRegister`
      Checks a name that is defended by this group of mDNS.
      Specified by:
        `checkName` in interface `NameRegister`
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to check
        `type` - name type to check
      Returns:
        `true` if the name is not in conflict, `flase` otherwise.

    - #### incrementHostName

          public java.lang.String incrementHostName(java.net.InetAddress networkInterface,
                                           java.lang.String name,
                                           NameRegister.NameType type)

      Description copied from interface: `NameRegister`
      Increments a name that is defended by this group of mDNS after it has been found in conflict.
      Specified by:
        `incrementHostName` in interface `NameRegister`
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to increment
        `type` - name type to increments
      Returns:
        new name